sanitize vulnerabilities

Input sanitizing library for node.js

Latest version 2.1.0
First published 5 years ago
Latest version published 2 years ago

Licenses detected

  • license: ISC >=0
Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the sanitize package. This does not include vulnerabilities belonging to this package’s dependencies.

Vulnerability Vulnerable versions Snyk patch Published
  • H
Regular Expression Denial of Service (ReDoS)
< 2.1.0 Not available 25 Feb, 2018
Versions
Version Published Licenses Direct Vulnerabilities
sanitize 2.1.0 Latest 22 Feb, 2018 ISC
  • 0 H
  • 0 M
  • 0 L
sanitize 2.0.1-ddddd Pre-release 21 Jul, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 2.0.1 21 Jul, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 2.0.0 08 Jul, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 1.0.2 06 May, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 1.0.1 30 Apr, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 1.0.0 12 Mar, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 0.0.10 25 Feb, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 0.0.9 11 Feb, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 0.0.8 02 Feb, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 0.0.7 30 Jan, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 0.0.6 30 Jan, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 0.0.5 30 Jan, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 0.0.4 18 Jan, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 0.0.3 18 Jan, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 0.0.2 17 Jan, 2015 ISC
  • 1 H
  • 0 M
  • 0 L
sanitize 0.0.1 17 Jan, 2015 ISC
  • 1 H
  • 0 M
  • 0 L